using System.Text.Json;
using System.Text.Json.Serialization;

namespace Nop.Plugin.Misc.FruitBankPlugin.Models
{
    public class AIChatRequestBase
    {
        [JsonPropertyName("model")]
        public string Model { get; set; } = "gpt-4o-mini";

        [JsonPropertyName("temperature")]
        public double Temperature { get; set; } = 0.2;

        [JsonPropertyName("messages")]
        public AIChatMessage[] Messages { get; set; } = Array.Empty<AIChatMessage>();

        [JsonPropertyName("stream")]
        public bool Stream { get; set; } = true;

    }

}

